POST
/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/exchangeRequests/{exchangeId}/invoices2609170000换货商品运单上传
# 01
简介
换货商品运单上传
# 02
详细内容
API支持的买家用户地区:韩国
输入要换货的商品的运单。
执行[换货商品入库确认API]后,[查看换货请求列表]时,回收状态(collectStatus)为已发送给卖家(CompleteCollect)时可以执行[换货运单上传API]。
换货商品入库后,查看换货请求列表,即可创建DeliveryInvoiceGroupDtos 信息。
上传换货运单时,须查找并输入新创建的shippingBoxId。
※换货商品确认入库后,最多10分钟后可上传换货运单
路径
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/exchangeRequests/{exchangeId}/invoices
示例端点
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/exchangeRequests/100000170/invoices# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 ex) A00012345 |
| exchangeId* | number | 换货受理ID 输入查看换货申请列表时,标示的exchangeId |
# 04
响应体
响应消息
| Name | Type | Description |
|---|---|---|
| code | string | 结果代码
|
| message | string | 信息
|
| data | object | 返回结果
|
| resultCode data.resultCode | string | SUCCESS or FAIL
|
| resultMessage data.resultMessage | string | 结果信息
|
Response Example
{
"code": "200",
"message": "SUCCESS",
"data": {
"resultCode": "SUCCESS",
"resultMessage": "Invoice number save successfully"
}
}# 05
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 400 | 400 (check request parameter) | 参数不可为空... | 查看参数值是否都输入了。 |